Компрометация системы в GNU Cpio

Дата публикации:
27.11.2014
Дата изменения:
27.11.2014
Всего просмотров:
676
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:C/A:C/E:U/RL:U/RC:C) = Base:9.7/Temporal:8.2
CVE ID:
CVE-2014-9112
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Cpio 2.x
Уязвимые версии:
GNU Cpio 2.11, возможно более ранние версии

Описание:

Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в функции "list_file()" в файле src/copyin.c. Удаленный пользователь может вызвать повреждение памяти и скомпрометировать целевую систему.


URL производителя: http://www.gnu.org/software/cpio/cpio.html

Решение: Способов устранения уязвимости не существует в настоящий момент.

Ссылки: http://seclists.org/fulldisclosure/2014/Nov/74